//
// Load core variables and mixins
// --------------------------------------------------

@import "../../base/less/base";
@import "variables";

// Journal 3.3.2
// Bootswatch
// -----------------------------------------------------

//import via CDN
//@import url("//fonts.googleapis.com/css?family=News+Cycle:400,700");
//import local files
@font-face {
  font-family: 'News Cycle';
  font-style: normal;
  font-weight: 400;
  src: local('News Cycle'), local('NewsCycle'), url('@{icon-font-path}newscycle/NewsCycle-Regular.ttf') format('truetype');
}
@font-face {
  font-family: 'News Cycle';
  font-style: normal;
  font-weight: 700;
  src: local('News Cycle Bold'), local('NewsCycle-Bold'), url('@{icon-font-path}newscycle/NewsCycle-Bold.ttf') format('truetype');
}

// Navbar =====================================================================

.navbar {
  font-size: 18px;
  font-family: @font-family-sans-serif;
  font-weight: @headings-font-weight;

  &-default {

    .badge {
      background-color: #000;
      color: #fff;
    }
  }

  &-inverse {

    .badge {
      background-color: #fff;
      color: @navbar-inverse-bg;
    }
  }
  .navbar-toggle {
    color: @text-color;
  }
}

.navbar-brand {
  font-size: inherit;
  font-weight: @headings-font-weight;
  text-transform: uppercase;
}

// Buttons ====================================================================

// Typography =================================================================

// Tables =====================================================================

// Forms ======================================================================

.has-warning {
  .help-block,
  .control-label,
  .form-control-feedback {
    color: @brand-danger;
  }

  .form-control,
  .form-control:focus {
    border-color: @brand-danger;
  }
}

.has-error {
  .help-block,
  .control-label,
  .form-control-feedback {
    color: @brand-primary;
  }

  .form-control,
  .form-control:focus {
    border-color: @brand-primary;
  }
}

.has-success {
  .help-block,
  .control-label,
  .form-control-feedback {
    color: @brand-success;
  }

  .form-control,
  .form-control:focus {
    border-color: @brand-success;
  }
}

// Navs =======================================================================

// Indicators =================================================================

.badge {
  padding-bottom: 4px;
  vertical-align: 3px;
  font-size: 10px;
}

// Progress bars ==============================================================

// Containers =================================================================

.jumbotron {

  h1, h2, h3, h4, h5, h6 {
    font-family: @font-family-sans-serif;
    font-weight: @headings-font-weight;
    color: #000;
  }
}

.panel {

  &-primary,
  &-success,
  &-warning,
  &-danger,
  &-info {
    .panel-title {
      color: #fff;
    }
  }


}

//
// Footer
// --------------------------------------------------

// Padding fix
.navbar-default .nav > li > a,
.navbar-inverse .nav > li > a {
  padding: 22px 15px;
  .navbar-vertical-align(60px);
}


#footer {
    > .container-block, &.container-block {
       background-color: darken(@navbar-default-link-active-bg,70%);
        h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
            color: #fff;
        }
    }   
}

#footer .panel > div > h5 {
        border-bottom: 1px dotted @gray;
    }